# Fiscal Years Fiscal Years ## Gets all of the fiscal years in the system. - [GET /fiscalYears/{tenantId}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/fiscal-years/listfiscalyears.md): This method will scan all fiscal years and and return them to the caller. ## Execute Batch Operations - [POST /fiscalYears/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/fiscal-years/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations ## Returns a list of records with the specified business_unit_id - [GET /fiscalYears/{tenantId}/businessUnit/{business_unit_id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/fiscal-years/listyearsbybusinessunitid.md): Returns a list of records with the specified business_unit_id ## Creates the next fiscal year for a business unit - [POST /fiscalYears/{tenantId}/businessUnit/{business_unit_id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/fiscal-years/generatenewfiscalyear.md): This method will automatically create a fiscal year for a business unit in the future ## Initiates workflow to close a fiscal period - [POST /fiscalYears/{tenantId}/close/{fiscalYearId}/{fiscalPeriod}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/fiscal-years/closefiscalperiods.md): This method will initiate the fiscal period close process ## Gets the current fiscal year and period - [GET /fiscalYears/{tenantId}/current/{businessUnitId}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/fiscal-years/getcurrentfiscalperiod.md): This method looks at all of the fiscal years and periods and finds the first "open" one, which is the current ## Gets the fiscal year and fiscal period for a particular date - [GET /fiscalYears/{tenantId}/fiscalPeriod/{businessUnitId}/{date}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/fiscal-years/getfiscalperiodfordate.md): This method will return a fiscal year and fiscal period object ## Initiates workflow to reopen a fiscal period - [POST /fiscalYears/{tenantId}/reopen/{fiscalYearId}/{fiscalPeriod}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/fiscal-years/reopenfiscalperiods.md): This method will initiate the fiscal period reopen process ## Returns a fiscal year from the system by its ID. - [DELETE /fiscalYears/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/fiscal-years/deletefiscalyear.md): This method will delete a fiscal year with the specified ID. ## Returns a fiscal year from the system by its ID. - [GET /fiscalYears/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/fiscal-years/getfiscalyear.md): This method will look up a fiscal year by the specified ID and return it back. ## Partially updates a fiscal year with the specified ID. - [PATCH /fiscalYears/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/fiscal-years/patchfiscalyear.md): This method will patch an existing fiscal year with the specified ID, using the HTTP PATCH specification. ## Updates a fiscal year with the specified ID. - [PUT /fiscalYears/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/fiscal-years/updatefiscalyear.md): This method will update an existing fiscal year with the specified ID.